## magicor 1.0

=== Makefile ===
# Installation build file for Magicor.
#
# Copyright 2006  Peter Gebauer. Licensed as Public Domain.
# (see LICENSE for more info)
#
# Valid targets:
#
# install			Install everything in specified paths.
# uninstall			Remove everything from specified paths. (use with care!)
# clean				Clean the build root from temporary files.
# dist				Create source and data tarballs.

# Do not change this unless you know what you're doing.
PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")
#PYTHON_VERSION=2.4
#PYTHON_VERSION=2.3

# The prefix is added as a prefix (duh) to all other paths as default.
PREFIX=/usr/local
# Where the magicor package will be installed, including final directory.
PYTHON_LIB=$(PREFIX)/lib/python$(PYTHON_VERSION)/site-packages/magicor
# Where the executable scripts will be installed.
BIN_PATH=$(PREFIX)/games
# Where the shared data will be stored.
SHARE_PATH=$(PREFIX)/share/magicor
# Where to find the system-wide config file.
CONFIG=$(PREFIX)/etc

VERSION=1.0

.PHONY: all
all:
	@echo "Detected Python     $(PYTHON_VERSION)"
	@echo "Library path set to $(PYTHON_LIB)"
	@echo "Binary path set to  $(BIN_PATH)"
	@echo "Data path set to    $(SHARE_PATH)"
	@echo "Default config in   $(CONFIG)"
	@echo "Edit the Makefile variables as you must, then 'make install' to install"

.PHONY: install
install:
	@if [ -z "$(PYTHON_VERSION)" ]; then echo "Could not detect Python version, please edit the Makefile and set PYTHON_VERSION manually"; exit 1; fi
	mkdir -p $(PYTHON_LIB)
	cp -fr magicor/* $(PYTHON_LIB)
	cat Magicor.py | python scripts/replacer.py "###CONFIG_PATH###" $(CONFIG)/magicor.conf > $(BIN_PATH)/magicor
	cat etc/magicor.conf | python scripts/replacer.py "###SHARE_PATH###" $(SHARE_PATH) > $(CONFIG)/magicor.conf
	cat Magicor-LevelEditor.py | python scripts/replacer.py "###CONFIG_PATH###" $(CONFIG)/magicor-editor.conf > $(BIN_PATH)/magicor-editor
	cat etc/magicor-editor.conf | python scripts/replacer.py "###SHARE_PATH###" $(SHARE_PATH) > $(CONFIG)/magicor-editor.conf
	chmod a+x $(BIN_PATH)/magicor
	chmod a+x $(BIN_PATH)/magicor-editor
	mkdir -p $(SHARE_PATH)
	cp -fr data/* $(SHARE_PATH)
	@echo "Done. If everything wen't well you can now run '$(BIN_PATH)/magicor'"

.PHONY: uninstall
uninstall:
	rm -Rf $(PYTHON_LIB)
	rm -Rf $(SHARE_PATH)
	rm -f $(BIN_PATH)/magicor*

.PHONY: clean
clean:
	find . -name "*.pyc" | xargs rm -f
	find . -name "*.bak" | xargs rm -f
	find . -name "*~" | xargs rm -f
	rm -Rf dist
	rm -f magicor-*.tar.gz
	rm -f *.cdbs-config_list

.PHONY: dist
dist:
	rm -Rf dist
	mkdir -p dist/magicor-$(VERSION)
	rsync -Cavr --include=*.py magicor dist/magicor-$(VERSION)/
	rsync -Cavr --include=*.py scripts dist/magicor-$(VERSION)/
	cp -f *.py dist/magicor-$(VERSION)/
	rsync -Cavr etc dist/magicor-$(VERSION)/
	cp -f README INSTALL LICENSE Makefile dist/magicor-$(VERSION)/
	tar -cvzf magicor-source-$(VERSION).tar.gz -C dist magicor-$(VERSION)	
	rsync -Cavr data dist/magicor-$(VERSION)/
	tar -cvzf magicor-data-$(VERSION).tar.gz -C dist magicor-$(VERSION)/data

## magicor 1.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 # Do not change this unless you know what you're doing.
 PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")
 #PYTHON_VERSION=2.4
-#PYTHON_VERSION=2.3
 
 # The prefix is added as a prefix (duh) to all other paths as default.
 PREFIX=/usr/local
@@ -25,17 +24,31 @@
 SHARE_PATH=$(PREFIX)/share/magicor
 # Where to find the system-wide config file.
 CONFIG=$(PREFIX)/etc
+# Docbook XSL stylesheet to use
+DOCBOOK_STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl
+# Options (string parameters) passed to the XSLT processor
+#DOCBOOK_OPTIONS=--stringparam name value
+# Docbook processing command
+DOCBOOK_PROCESS=xsltproc -o $@ $(DOCBOOK_OPTIONS) $(DOCBOOK_STYLESHEET) $<
 
-VERSION=1.0
+# For developers, change version with Magicor version number
+VERSION=1.1
+
 
 .PHONY: all
 all:
+	@echo "Environment:"
 	@echo "Detected Python     $(PYTHON_VERSION)"
 	@echo "Library path set to $(PYTHON_LIB)"
 	@echo "Binary path set to  $(BIN_PATH)"
 	@echo "Data path set to    $(SHARE_PATH)"
 	@echo "Default config in   $(CONFIG)"
-	@echo "Edit the Makefile variables as you must, then 'make install' to install"
+	@echo
+	@echo "Docbook process (optional doc-target):"
+	@echo $(DOCBOOK_PROCESS)
+	@echo
+	@echo "Valid targets: install, uninstall, clean, doc"
+	@echo
 
 .PHONY: install
 install:
@@ -50,13 +63,13 @@
 	chmod a+x $(BIN_PATH)/magicor-editor
 	mkdir -p $(SHARE_PATH)
 	cp -fr data/* $(SHARE_PATH)
-	@echo "Done. If everything wen't well you can now run '$(BIN_PATH)/magicor'"
+	@echo "Done. If everything wen't well you can now run '$(BIN_PATH)/Magicor'"
 
 .PHONY: uninstall
 uninstall:
 	rm -Rf $(PYTHON_LIB)
 	rm -Rf $(SHARE_PATH)
-	rm -f $(BIN_PATH)/magicor*
+	rm -f $(BIN_PATH)/magicor $(BIN_PATH)/magicor-editor
 
 .PHONY: clean
 clean:
@@ -79,3 +92,9 @@
 	tar -cvzf magicor-source-$(VERSION).tar.gz -C dist magicor-$(VERSION)	
 	rsync -Cavr data dist/magicor-$(VERSION)/
 	tar -cvzf magicor-data-$(VERSION).tar.gz -C dist magicor-$(VERSION)/data
+
+.PHONY: doc
+doc: doc/manual.xhtml
+
+mdoc/manual.xhtml: doc/manual.docbook
+	$(DOCBOOK_PROCESS)

=== debian/changelog ===
magicor (1.1-3) unstable; urgency=low

  [ Luca Falavigna ]
  * Allow byte-compilation of Python files (Closes: #566045):
    - Build-depend on python-support.
    - Invoke dh_pysupport in rules.
  * Depend on ${python:Depends} instead of a specific Python version.
  * Do not create usr/lib/python2.5/site-packages/magicor, let the build
    process to install files into the correct location.

  [ Xavier Oswald ]
  * Fix magicor requiring versioned dependency (Closes: #536208)
  * Avoid debian/watch file to catch development versions

 -- Xavier Oswald <xoswald@debian.org>  Wed, 17 Mar 2010 16:07:12 +0100

magicor (1.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Fix FTBFS with Python 2.6 (Closes: #571496)
  * Add debian/watch file
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Tue, 02 Mar 2010 15:43:20 +0100

magicor (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + change my mail address
    + Bump Standards-Version to 3.8.1
    + Remove DM flag
    + Update debhelper to 7
    + Update python to 2.5
    + move python from Build-Depends to Build-Depends-Indep
  * Update debian/Compat to 7
  * Update python version in debian/magicor.install
  * Update python version in debian/magicor.dirs
  * Fix for victory animation problem (closes: #412391)
  * Fix for penguin artifact in ice block problem (closes: #412486)
  * Time statistics for completed levels (closes: #413317)
  * Fix lintian warnings:
    W: magicor: description-contains-homepage
    I: magicor source: build-depends-without-arch-dep python

 -- Xavier Oswald <xoswald@debian.org>  Fri, 24 Apr 2009 13:02:12 +0200

magicor (1.0-1) unstable; urgency=low

  * Initial release (closes: #407346)

 -- Xavier Oswald <x.oswald@free.fr>  Wed, 17 Jan 2007 18:24:13 +0100

=== debian/control ===
Source: magicor
Section: games
Priority: optional
Maintainer: Xavier Oswald <xoswald@debian.org>
Uploaders: Frederic Wagner <wagnerf@imag.fr>
Build-Depends: debhelper (>= 7), cdbs
Build-Depends-Indep: python (>= 2.5), python-support
Standards-Version: 3.8.4
Homepage: http://magicor.sf.net/

Package: magicor
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-pygame, magicor-data (= ${binary:Version}), libsdl-image1.2,
 libsdl-mixer1.2, python-gtk2, libglade2-0
Description: puzzle game in the spirit of solomon's key
 Magicor is a small puzzle game similar to the old NES classic
 solomon's key. You control tux the penguin and create ice blocks
 to extinguish all fires on each map.

Package: magicor-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: data files for the magicor puzzle game
 Magicor is a small puzzle game similar to the old NES classic
 solomon's key. You control tux the penguin and create ice blocks
 to extinguish all fires on each map.
 This package contains all data files necessary to run the game.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_INSTALL_MANPAGES_magicor := debian/magicor.1 debian/magicor-editor.1

DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
DEB_MAKE_MAKEFILE = Makefile.debian

binary-install/magicor::
	dh_pysupport -pmagicor

=== debian/watch ===
version=3
http://sf.net/magicor/magicor-source-([\d.]+)\.tar\.gz
